{% extends 'bootstrap.html' %}

{% load bootstrap4 %}

{% block bootstrap4_before_content %}
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="/">AWACS</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars" aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbars">
      <ul class="navbar-nav mr-auto">
        {% url 'dns:index' as x1 %}
        <li class="nav-item"{% if request.path in x1 %} class="active"{% endif %}>
          <a class="nav-link" href="{{x1}}">DNS Lookup</a>
        </li>
        {% url 'worldtime:index' as x2 %}
        <li class="nav-item"{% if request.path in x2 %} class="active"{% endif %}>
          <a class="nav-link" href="{{x2}}">World Time</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dd1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
          <div class="dropdown-menu" aria-labelledby="dd1">
            <a class="dropdown-item" href="#">Action</a>
            <a class="dropdown-item" href="#">Another action</a>
            <a class="dropdown-item" href="#">Something else here</a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
      </form>
    </div>
  </nav>  
{% endblock %}

{% block bootstrap4_content %}
    <main role="main">
        <div class="container">
        {{request.path}}
        <h1>{% block title %}(no title){% endblock %}</h1>

        {% autoescape off %}{% bootstrap_messages %}{% endautoescape %}

        {% block content %}(no content){% endblock %}
        </div>
    </main>
{% endblock %}